<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstAttributePosition Method (IEdmVariableValue5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableValue5 Interface : GetFirstAttributePosition Method (IEdmVariableValue5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the attributes mapped to this variable.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstAttributePosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstAttributePosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstAttributePosition();

#### Return Value

IEdmPos5; position of the first attribute in the enumeration

# Remarks

After calling this method, pass the returned position of the first attribute to IEdmVariableValue5::GetNextAttribute to get the first attribute in this list. Then call IEdmVariableValue5::GetNextAttribute repeatedly to get the rest of the variables.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVariableValue5 Interface
IEdmVariableValue5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2